Package de.willuhn.jameica.hbci.synchronize.hbci

# Class HBCISynchronizeJobKontoauszugPdf

java.lang.Object
de.willuhn.jameica.hbci.synchronize.jobs.AbstractSynchronizeJob
de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJobKontoauszugPdf
de.willuhn.jameica.hbci.synchronize.hbci.HBCISynchronizeJobKontoauszugPdf

All Implemented Interfaces:
  `HBCISynchronizeJob`, `SynchronizeJob`

public class HBCISynchronizeJobKontoauszugPdf extends SynchronizeJobKontoauszugPdf implements HBCISynchronizeJob
Ein Synchronize-Job fuer das Abrufen der Kontoauszuege im PDF-Format.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJobKontoauszugPdf

`CTX_FORCE`

### Fields inherited from interface de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJob

`CTX_ENTITY`

## Constructor Summary

Constructors
Constructor
Description
`HBCISynchronizeJobKontoauszugPdf()`

## Method Summary

Modifier and Type
Method
Description
`AbstractHBCIJob[]`
`createHBCIJobs()`
Erzeugt einen oder mehrere HBCI-Jobs basierend auf dem SynchronizeJob.
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Job.

### Methods inherited from class de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJobKontoauszugPdf

`isRecurring`

### Methods inherited from class de.willuhn.jameica.hbci.synchronize.jobs.AbstractSynchronizeJob

`configure, getContext, getKonto, setContext, setKonto`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJob

`configure, getContext, getKonto, isRecurring, setContext, setKonto`

## Constructor Details

### HBCISynchronizeJobKontoauszugPdf

public HBCISynchronizeJobKontoauszugPdf()

## Method Details

### createHBCIJobs

public AbstractHBCIJob[] createHBCIJobs() throws RemoteException, de.willuhn.util.ApplicationException
Description copied from interface: `HBCISynchronizeJob`
Erzeugt einen oder mehrere HBCI-Jobs basierend auf dem SynchronizeJob.

Specified by:
  `createHBCIJobs` in interface `HBCISynchronizeJob`
Returns:
  der/die erzeugten HBCI-Jobs.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### getName

public String getName() throws de.willuhn.util.ApplicationException
Description copied from interface: `SynchronizeJob`
Liefert einen sprechenden Namen fuer den Job.

Specified by:
  `getName` in interface `SynchronizeJob`
Overrides:
  `getName` in class `AbstractSynchronizeJob`
Returns:
  sprechender Name.
Throws:
  `de.willuhn.util.ApplicationException`